Bug 187408 - [PATCH] security/denyhosts: set USE_PYTHON=2
[PATCH] security/denyhosts: set USE_PYTHON=2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-10 02:00 UTC by corsmith
Modified: 2014-08-21 13:39 UTC (History)
3 users (show)

See Also:


Attachments
file.diff (316 bytes, patch)
2014-03-10 02:00 UTC, corsmith
no flags Details | Diff
denyhosts.patch.txt (47.69 KB, text/plain; charset=UTF-8)
2014-03-10 17:12 UTC, FreeBSD
no flags Details
denyhosts-svn-351057.patch (53.40 KB, patch)
2014-04-12 03:00 UTC, corsmith
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description corsmith 2014-03-10 02:00:02 UTC
denyhosts is a python application that does not work with python 3 so it should explicitly set USE_PYTHON=2 instead of USE_PYTHON=YES

Fix: Patch for the port attached.

Patch attached with submission follows:
How-To-Repeat: Set this option in make.conf and build the port:
DEFAULT_VERSIONS=python=3.3

The port with build and install but you will be unable to run the script as it uses python 2 only syntax.
Comment 1 Edwin Groothuis freebsd_committer 2014-03-10 02:00:20 UTC
Maintainer of security/denyhosts,

Please note that PR ports/187408 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187408

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-03-10 02:00:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 FreeBSD 2014-03-10 17:12:32 UTC
Another possibility is to update so that python 2.x and 3.x compatible
syntax is used.

The attached patch allows denyhosts to compile and run with py2.7 or py3.3

Someone with a bit more knowledge should also look through the changes.

I have also included minor updates -
- add LICENSE
- support staging
- change NOPORTDOCS to PORT_OPTIONS:MDOCS
Comment 4 corsmith 2014-03-11 04:41:34 UTC
Is this patch based on this repo?

https://github.com/mruffalo/denyhosts



On Mon, Mar 10, 2014 at 1:12 PM, Shane Ambler <FreeBSD@shaneware.biz> wrote:

> Another possibility is to update so that python 2.x and 3.x compatible
> syntax is used.
>
> The attached patch allows denyhosts to compile and run with py2.7 or py3.3
>
> Someone with a bit more knowledge should also look through the changes.
>
> I have also included minor updates -
> - add LICENSE
> - support staging
> - change NOPORTDOCS to PORT_OPTIONS:MDOCS
>
Comment 5 FreeBSD 2014-03-13 07:01:35 UTC
No it isn't. I did see that repo and a couple of others that have made
some changes since the last sourceforge release of denyhosts.

I approached denyhosts from the ports tree using py3.3, making syntax
changes that are acceptable in both py3.3 and py2.7. What I see in
mruffalo/denyhosts is py2.7 code that uses 2to3 to support py3.x.

So I have added support for py3.3 but have not incorporated any other
external bug fixes that may also be worth adding.

I get the impression that denyhosts is neglected and a little
splintered. Probably time someone picks up the project and considers
consolidating the various changes made in different places.
Comment 6 John Marino freebsd_committer 2014-07-22 19:29:25 UTC
Adding shaneware and maintainer addresses back to PR.

Janos, you've already timed out one PR on this port, this is the second one (actually precedes the first one so I'm not sure it's still valid).  Do you want to give it up?

corsmith: Is the PR still valid?
Comment 7 commit-hook freebsd_committer 2014-08-21 13:35:03 UTC
A commit references this bug:

Author: marino
Date: Thu Aug 21 13:34:26 UTC 2014
New revision: 365559
URL: http://svnweb.freebsd.org/changeset/ports/365559

Log:
  Security/denyhosts: Limit to python 2.x and reset maintainer

  The maintainer has not been responsive and multiple PRs have timed out.
  Convert USE_PYTHON=yes to USES=python:2 as this application will not
  run on Python 3.x

  PR:		187408
  Submitted by:	corsmith (gmail)
  Approved by:	maintainer timeout

Changes:
  head/security/denyhosts/Makefile
Comment 8 John Marino freebsd_committer 2014-08-21 13:39:40 UTC
Thanks.
Patch was obsolete, so I converted it to modern equivalent.
The port now is unmaintained.